#include <iostream>
using namespace std;
int main() {
	int n,k;
	cout<<"unesite broj N (broj bacanja): "<<endl;
	cin>>n;
	if(n<1){
		cout<<"ponovo unesite broj, takav broj polja ne postoji!!"<<endl;
		cin>>n;
	}
	cout<<"unesite broj k(maksimalan broj pogadjanja u metu): "<<endl;
	cin>>k;
	if(k>10*10*10*10*10*10){
		cout<<"ponovo unesite broj, prekoraceno je ogranicenje!"<<endl;
		cin>>k;
	}
	int a[2*n+1];
	int l=2*n+1;
	for (int i=0;i<l;i++){
		a[i]=0;
	}
	int m;
	for(int i=0;i<n;i++){
		cout<<"unesite polje: "<<endl; 
		cin>>m;
		if(m>n||m<((-1)*n)){
			cout<<"ponovo unesite polje, to polje se ne nalazi na ovom pikadu!"<<endl;
			cin>>m;
		}
		if(m<0){
			a[m*(-1)]++;
		}
		if(m==0){
			a[n]++;
		}
		if(m>0){
			a[n+m]++;
		}
	}
	int d=0;
	for(int i=0;i<l;i++){
		if(a[i]>=k) d++;
	}
	cout<<d<<endl;
	for(int i=0;i<l;i++){
		if(a[i]>=k) {
			if(i<n) cout<<(-1)*i<<" ";
			if(i==n) cout<<0<<" ";
			if(i>n) cout<<i-n<<" ";
		}
	}
	return 0;
}